Blueprint Bulletinss

Create Blueprint Bulletin

Post a bulletin to a blueprint's shared board

post
/v1/blueprint/{blueprintId}/bulletin/create

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Path Parameters

blueprintIdstring* Required

The ID of the blueprint to post to

Request Body * Required

Request Body Schema: application/json

textstring

The message to post to the shared board

ttlnumber

Optional time-to-live in seconds before the bulletin expires

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

secret: process.env.CHATBOTKIT_API_KEY!

})

const response = await cbk.blueprint.bulletin.create(

blueprintId,
{
"text":"string",
"ttl":"number"
}
)
{
"id":"string",
"bulletin":{
"id":"string",
"text":"string",
"author":"string",
"botId":"string",
"createdAt":"number",
"expiresAt":"number"
}
}
The bulletin was posted successfully